
%define with_indilib 1
%define indilib_version 0.9.8
%define eigen_version 2.91.0
%define xplanet_version 1.2.1


Name: kstars
Summary: A Desktop Planetarium
Version: 3.6.6
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and GFDL
URL: http://www.kde.org/applications/education/kstars/

BuildRequires: lib64qjson-qt5-devel
BuildRequires: %{_lib}cfitsio-devel
BuildRequires: %{_lib}wcs-devel

BuildRequires: eigen3
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5xml-devel

BuildRequires: kconfig-devel
BuildRequires: kdoctools-devel
BuildRequires: kguiaddons-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: knewstuff-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kinit-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kio-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kxmlgui-devel
BuildRequires: kplotting-devel
BuildRequires: ktexteditor-devel
BuildRequires: kiconthemes-devel
BuildRequires: knotifications-devel
BuildRequires: %{_lib}kf5crash-devel

BuildRequires: xplanet
BuildRequires: libfli-devel
BuildRequires: indilib-devel

%if %with_indilib
BuildRequires: pkgconfig(libindi) >= %{indilib_version}
BuildRequires: indiclient-static-devel >= %{indilib_version}
Requires: indilib >= %{indilib_version}
%endif

%description
KStars is a Desktop Planetarium for KDE. It provides an accurate graphical
simulation of the night sky, from any location on Earth, at any date and
time. The display includes 130,000 stars, 13,000 deep-sky objects,all 8
planets, the Sun and Moon, and thousands of comets and asteroids.

%files -f %name.lang
%_kf5_datadir/kstars
%_kf5_bindir/kstars
%_kf5_libdir/libhtmesh.a
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/config.kcfg/kstars.kcfg
%_kf5_iconsdir/*/*/*/*
%_kf5_knotificationsdir/kstars.notifyrc
%_kf5_datadir/sounds
%_kf5_datadir/metainfo/org.kde.kstars.appdata.xml
#------------------------------------------------------------------------------

%package handbook
Summary: KStars Handbook
Group: Documentation
BuildArch: noarch
Requires: %name

%description handbook
This package provides KStars Handbook.

%files handbook
%_kf5_datadir/doc/HTML
#------------------------------------------------

%prep

%build
pushd %_sourcedir
wget -nc https://download.kde.org/stable/kstars/%{name}-%{version}.tar.xz
tar -xJf %{name}-%{version}.tar.xz -C %_builddir
popd

pushd %_builddir/%{name}-%{version}
rm -rf %_builddir/%{name}-%{version}/po/de
%cmake_kf5 -DBUILD_TESTING=OFF
%make_build
popd

%install
pushd %_builddir/%{name}-%{version}
%make_install -C build
popd

%find_lang %{name} --with-html

desktop-file-install \
  --dir %{buildroot}%{_kf5_applicationsdir}/ \
  --remove-key='Patterns' \
  %{buildroot}%{_kf5_applicationsdir}/*.desktop

%changelog
* Sun Sep 03 2023 tex - 3.6.6-1pclos2023
- new version

* Tue Jan 31 2023 tex - 3.6.3-1pclos2023
- new version

* Sat Dec 24 2022 tex - 3.6.2-1pclos2022
- new version

* Fri Dec 02 2022 tex - 3.6.1-1pclos2022
- new version

* Tue Jul 21 2020 tex - 3.4.3-1pclos2020
- new version

* Fri Jan 31 2020 tex - 3.3.9-1pclos2020
- new version

* Thu Dec 26 2019 tex - 3.3.8-1pclos2020
- new version

* Wed Oct 23 2019 tex - 3.3.3-2pclos2019
- rebuild against updates

* Fri Aug 02 2019 tex - 3.3.3-1pclos2019
- new version

* Wed Jul 03 2019 tex - 3.3.2-1pclos2019
- new version

* Sun Jun 23 2019 tex - 3.3.1-1pclos2019
- new version

* Sat Jun 22 2019 tex - 3.3.0-1pclos2019
- new version

* Fri May 10 2019 tex - 3.2.1-1pclos2019
- new version
